Puzzle / Developers
API referencePayroll

Get Workers

GET /company/{id}/workers

GET/company/{id}/workers

Path Parameters

id*string

The company ID

Length1 <= length

Query Parameters

subset?string

Value in

  • "Active"
  • "Terminated"
  • "Contractor"
search?string

Response Body

application/json

curl -X GET "https://example.com/company/string/workers"
{  "workers": [    {      "annualCosts": {        "salaryCost": {          "amount": "string",          "currency": "str"        },        "burdenCost": {          "amount": "string",          "currency": "str"        },        "fullyLoadedCost": {          "amount": "string",          "currency": "str"        }      },      "id": "string",      "firstName": "string",      "lastName": "string",      "employmentType": "FullTime",      "jobTitle": "string",      "department": "string",      "startDate": "string",      "employeeTerminations": [        {          "terminationDate": "string"        }      ],      "flsaStatus": "Exempt",      "officeLocation": {        "id": "string",        "city": "string",        "state": "string",        "zipCode": "string"      },      "payFrequency": "Hour",      "payRate": "string",      "terminated": true    }  ]}

Schema refreshed 2026-11-11T18:57:48.657Z